Bug 427300 - Review Request: python-kerberos - A high-level wrapper for Kerberos (GSSAPI) operations
Review Request: python-kerberos - A high-level wrapper for Kerberos (GSSAPI) ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-02 16:08 EST by Rob Crittenden
Modified: 2009-03-10 16:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-12 10:13:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2008-01-02 16:08:01 EST
Spec URL: http://rcritten.fedorapeople.org/python-kerberos.spec
SRPM URL: http://rcritten.fedorapeople.org/python-kerberos-1.0-1.fc7.src.rpm
Description: This Python package is a high-level wrapper for Kerberos (GSSAPI) operations.
The goal is to avoid having to build a module that wraps the entire
Kerberos.framework, and instead offer a limited set of functions that do what
is needed for client/serverKerberos authentication based on
<http://www.ietf.org/rfc/rfc4559.txt>.
Comment 1 Parag AN(पराग) 2008-01-03 00:59:20 EST
package is missing BuildRequires: krb5-devel
Comment 2 Parag AN(पराग) 2008-01-03 01:09:40 EST
when tried to build manually from tarball using
python setup.py build I got errors and then I need to replace src/*.c
#include <Python/Python.h>
to
#include <Python.h>
and build got successful.
Comment 3 Parag AN(पराग) 2008-01-03 01:11:38 EST
oops. I see that you are not member of cvsextras group.
In that case you need apply and seek someone to sponsor you for cvsextras group.
are you need Sponsor?
Comment 4 Parag AN(पराग) 2008-01-03 01:34:24 EST
Sorry for above comment. I missed to see your name in database. You are already
there.
Comment 5 Rob Crittenden 2008-01-03 09:08:15 EST
Added krb5-devel to BuildRequires, thanks.

Spec URL: http://rcritten.fedorapeople.org/python-kerberos.spec
SRPM URL: http://rcritten.fedorapeople.org/python-kerberos-1.0-2.fc7.src.rpm

Per comment #2 there is a patch included in the src.rpm to fix that:
PyKerberos-includes.patch
Comment 6 Parag AN(पराग) 2008-01-04 00:33:10 EST
There's no need that I can see this package to follow "Providing Eggs for
non-setuptools packages"

If anyone want this package to provide egg-info then file a bug once this gets
in Fedora.

Review:
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for RPM But not for SRPM
python-kerberos.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 19)
==> its cosmetic message. You can fix that using sed.
+ source files match upstream.
e9bc790e51187f3afa13dc2611e5d93a  python-kerberos-1.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Compiler flags are honored correctly.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package python-kerberos-1.0-2.fc9 ->
  Provides: kerberos.so
  Requires: python(abi) = 2.5
+ Not a GUI app.

APPROVED.
Comment 7 Rob Crittenden 2008-01-04 22:46:55 EST
New Package CVS Request
=======================
Package Name: python-kerberos
Short Description: A high-level wrapper for Kerberos (GSSAPI) operations
Owners: rcritten
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 8 Dennis Gilmore 2008-01-05 13:36:11 EST
CVS Done
Comment 9 Parag AN(पराग) 2008-01-12 10:13:25 EST
Closing this Review ticket as this package is successfully built on koji for
requested branches.
Comment 10 Ville Skyttä 2008-01-16 15:02:05 EST
FYI: bug 429016
Comment 11 Parag AN(पराग) 2008-01-16 20:27:15 EST
Thanks Ville, looks like I missed that.
Comment 12 Rob Crittenden 2009-03-10 10:22:46 EDT
Package Change Request
======================
Package Name: python-kerberos
New Branches: EL-5
Owners: rcritten
Comment 13 Dennis Gilmore 2009-03-10 16:20:54 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.